Bug Hunting Session
Bug 57975 - TABLE: Column with merged non-first rows can't be deleted if selected as column (can be if all column cells selected or no column selected)
Summary: TABLE: Column with merged non-first rows can't be deleted if selected as colu...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2012-12-07 08:34 UTC by grofaty
Modified: 2018-12-24 17:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
step-by-step instructions how to reproduce the problem (22.99 KB, application/vnd.oasis.opendocument.text)
2012-12-07 08:34 UTC, grofaty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description grofaty 2012-12-07 08:34:50 UTC
Created attachment 71117 [details]
step-by-step instructions how to reproduce the problem

1. Create 3-rows, 3-columns table
2. In first column merge second and third row.
3. Mark first column and try to delete a column - deleting not possible menu option Table | Delete | Columns is grayed out. Trying to press DELETE key reports error: "Read-only content cannot be changed. No modifications will be accepted"

See attached document with detailed step-by-step instructions.
Comment 1 Urmas 2012-12-15 09:14:33 UTC
Confirmed in 4.0.
The delete column command is disabled when the column with merged cells is selected entirely. It does work when several cells in that columns are selected.
Comment 2 Jean-Baptiste Faure 2014-10-05 14:16:33 UTC
It works for me if the merged cell is not the last cell in the column. Tested in versions 4.2.7.0.0+, 4.3.3.0.0+ and master built at home under Ubuntu 14.04 x86-64.

In the present case with a 3 rows table: click in cell B3 and insert a new row. Now the first column can be deleted. When done delete the fourth row.

Best regards. JBF
Comment 3 grofaty 2015-01-06 12:52:35 UTC
Retested on LibreOffice v.4.1.3.2 on Windows XP and problem still persists like described in attachment.

Like "Jean-Baptiste Faure" described if merged column is in the last row in table and column can't be deleted. But somehow work-around it to add a new dummy row in table at the bottom, then do merge like described in attachment and after delete added dummy row. This is work-around, but I still think this is a bug and should be fixed.
Comment 4 grofaty 2015-01-06 12:53:35 UTC
Opps... I tested on Windows 7 now, I don't have Windows XP anymore to test this.
Comment 5 Gordo 2015-05-05 00:08:18 UTC
It is possible to delete the column but it depends on where the cursor is placed.

1. New Text Document.
2. Insert → Table with 3 rows and 3 columns.
3. Select cells A2 and A3 and Merge.
4. Place cursor in paragraph outside table.
5. With mouse, move cursor to above first column to get downward point arrow and click to select column.
6. Try to delete column using these methods:
a. Right click on column → Column.
Result:  no option to delete.
b. Toolbar → Delete Columns.
Result:  button is greyed out.
c. Menu → Table → Delete → Columns.
Result:  option greyed out.
d. Delete key (this only deletes content not the column).
Result:  Read-only content...

Alternate:
4. Place cursor in A1.
5. With mouse, move cursor to above first column to get downward point arrow and click to select column.
6. Try to delete column using these methods:
a. Right click on column → Column → Delete.
b. Toolbar → Delete Columns.
c. Menu → Table → Delete → Columns.
Result:  column deleted.

Alternate:
4. Place cursor in A2.
5. With mouse, move cursor to above first column to get downward point arrow and click to select column.
6. Try to delete column using these methods:
a. Right click on column → Column.
Result:  no option to delete.
b. Toolbar → Delete Columns.
Result:  button is greyed out.
c. Menu → Table → Delete → Columns.
Result:  option greyed out.
d. Delete key (this only deletes content not the column).
Result:  Read-only content...

Alternate:
4. Place cursor in either A1 or A2.
5. Try to delete column using these methods:
a. Right click on column → Column → Delete.
b. Toolbar → Delete Columns.
c. Menu → Table → Delete → Columns.
Result:  column deleted.

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16

The same happens in 4.3.6.2 and 4.2.8.2.
Comment 6 grofaty 2015-05-05 08:58:49 UTC
Gordo,
thanks for work-arounds. I tested your suggestions in LibreOffice 4.4.2.2 on Windows 7 (currently installed on my system).

It works exactly the way you have described. It really looks like it is important where cursor is placed BEFORE selecting the whole column. This is little bit unreasonable to average Joe. Specially because when you mark whole column the cursor appears in A1 cell.

What I see now is also that there is not required to mark a column to delete it, but I see somehow logical to do the following:
a) make selection
b) perform action (delete column, merge column, etc).
The same logic is in any text oriented. You know make selection and bold, italic, underline the text. I think many users think like "selection & action" and many users can get into this problem very quickly. In my humble opinion this is a usability bug and it should be fixed.

Regards
Comment 7 Gordo 2015-05-05 11:23:07 UTC
grofaty, following on from what you said about selection and formatting, I ran some other tests.

In the first column, I typed "test" into each cell.  I attempted to change the formatting with column arrow selection depending on where the cursor was placed.  Only if the cursor was before "test" in the first cell was I able to format the column.

Additionally, dragging and selecting of the column allows you to delete or format the column no matter whether you drag from the top or drag from the bottom.
Comment 8 QA Administrators 2016-09-20 09:37:53 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2016-09-25 07:03:46 UTC
Not reproducible anymore in LibreOffice 5.2.3.0+ and current master under Ubuntu 16.04 x86-64.

Closing as WorksForMe. Please, feel free to reopen if you disagree.

Best regards. JBF
Comment 10 grofaty 2016-11-23 12:45:57 UTC
Hi,
I have retested this problem and in my humble opinion this is still a bug. It looks like it is very important where the cursor is and marking the column is not such an importance. This is not what average Joe would expect.

I am reopening this problem. Tested on LibreOffice master on Windows 7.
Regards

==============
MASTER VERSION
==============
Version: 5.3.0.0.alpha1+
Build ID: f965a629fba10ecba7bad938a0c1c9c3db1e510d
CPU Threads: 3; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-23_00:13:10
Locale: sl-SI (sl_SI); Calc: group
Comment 11 Aron Budea 2017-10-02 03:27:35 UTC
The steps in the document and the expected behavior aren't the same. When you select a column and press Delete key (step 6.c), you don't actually delete the column, but the content. I'd say the message is still a bug, but a different one.

However, if you mark the column as described in 6.a, and then proceed to the menu where the column could be deleted, it's possible to delete the column (tested in a 6.0 daily build, but also in 3.6.0.4).

If that's not what you meant, please clarify your procedure.
Comment 12 grofaty 2017-10-02 05:58:56 UTC
@Aron,
it is almost 5 years since I have reported this issue, so I hope I remember it correctly. Looking into this problem now it seems to me there are actually even problems, not just only one.

I. PROBLEM (originally reported problem in this bug report)
First is related to deleting columns there are steps from step 4 to including 6a and 6b steps (so without 6c step): Column with merged cells (in the way merged) can't be deleted. This is main problem of this bug report.

II. PROBLEM (delete of content not working for merged table cells)
Like I see it now it looks there is one new related problem to merged cells. Do the following:
- steps from step 4 to including 6a,
- then skip 6b,
- do 6c.
Expected is that content of cells in column A cells is deleted, but instead error appears: "Write-protected content cannot be changed. No modifications will be accepted." If column B is marked and Delete pressed the content of column is deleted, which is expected.

III. PROBLEM (protecting cells in merged table cells)
Actually looking into little bit strange error in previous II. problem referring to "write-protected content" it looks to me there is even third problem related to merged cells.
- 7a) Move mouse at the top of column B (small down mouse icon appears) and click to mark column B cells.
- 7b) Select Table | Protect cells.
- 7c) Mark B2 text and press Delete key. The error "Write-protected content..." is displayed, which is expected correct behaving.
- 8a) Lets try to do the same thing for column A. Click on top of column A and click on Table menu and you will notice Protect Cells option is grayed out. It looks like it is not possible to protect the content of merged cells selecting whole column.
- 9a) But.. it is interesting if cells are marked like clicking at front of A1 (inside cell) and marking down.
- 9b) Then Table | Protect Cells is not grayed out and working as expected.
Comment 13 QA Administrators 2018-04-04 13:08:55 UTC Comment hidden (obsolete)
Comment 14 Timur 2018-04-18 17:10:46 UTC
This is New as described: "Column with merged non-first rows can't be deleted if first selected as column". 
It's minor because column or contents can be if all column cells selected before or no column selected before.
Comment 15 Phil Krylov 2018-06-12 12:10:39 UTC
The bug is reproducible in current master build:

Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 4; OS: Mac OS X 10.9.5; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-06_23:25:55
Locale: en-US (en.UTF-8); Calc: group threaded